getPanelAgentSoulRecallEntryStatus(params: GetPanelAgentSoulRecallEntryStatusParams)
Requires:
@tuya-miniapp/cloud-api≥1.x.x
Description
Query the Memory Recall entry status.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request parameters |
Return Value
Type: Promise<GetPanelAgentSoulRecallEntryStatusResult>
GetPanelAgentSoulRecallEntryStatusResult (see type definitions and minituya return parameters for field meanings)
Referenced Types
interface
GetPanelAgentSoulRecallEntryStatusResult| Property | Type | Description |
|---|---|---|
action | "GO_MAIN" | "IN_PROGRESS" | "SHOW_RECALL" | Entry action: GO_MAIN (no migration required) / IN_PROGRESS (migration in progress) / SHOW_RECALL (migration available) |
inProgressTaskId | string | ID of the migration task in progress (when action=IN_PROGRESS) |
hasMigrable | boolean | Whether any devices are available for migration (when action=SHOW_RECALL) |
deviceCount | number | Number of devices available for migration |
Valid Values
GetPanelAgentSoulRecallEntryStatusResult.action
| Value | Description | Since |
|---|---|---|
GO_MAIN | - | - |
IN_PROGRESS | - | - |
SHOW_RECALL | - | - |